import javafx.application.Application;
import javafx.application.Platform;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.geometry.Insets;
import javafx.scene.Scene;
import javafx.scene.control.*;
import javafx.scene.layout.*;
import javafx.stage.Stage;

import javafx.scene.text.Font;

import javafx.scene.layout.Border;
import javafx.scene.layout.BorderStroke;
import javafx.scene.layout.BorderStrokeStyle;
import javafx.scene.layout.BorderWidths;
import javafx.scene.paint.Color;

import javafx.geometry.Pos;

public class Labor3 extends Application {

	private MyArtikelPanel myPanel = null;
	private Button bnInsert = null;

	@Override
	public void start(Stage stage) {
		BorderPane root = new BorderPane();

		HBox hbox = new HBox(10);
		bnInsert = new Button("Eintragen");
		bnInsert.setFont(new Font("Courier New", 22));
		bnInsert.setOnAction(e -> insertList());
		hbox.getChildren().add(bnInsert);
		root.setTop(hbox);

		myPanel = new MyArtikelPanel();
		//root.setCenter(??????);

		Scene scene = new Scene(root, 750, 460);
		stage.setTitle("3. Labor");
		stage.setScene(scene);
		stage.show();
	}

	void addArtikel(Object artikel) {
		myPanel.addArtikel(artikel);
	}

	private void insertList() {
		PKW kfz1;
		LKW lkw1;
		Rennrad rad1;
		Klapprad rad2;
		Tourenrad rad3;

		bnInsert.setVisible(false);

		kfz1 = new PKW("Opel Vetra", "Vec 12", 16300);
		addArtikel(kfz1);

		kfz1 = new PKW("Opel Astra", "Astra 12", 13300);
		addArtikel(kfz1);
		
		lkw1 = new LKW("MAN", "MM 2000", 83300);
		addArtikel(lkw1);

		rad1 = new Rennrad("Peugeot", "P1200", 300);
		addArtikel(rad1);

		rad1 = new Rennrad("Peugeot", "P2000", 600);
		addArtikel(rad1);

		rad2 = new Klapprad("Quelle", "200", 100);
		addArtikel(rad2);

		rad3 = new Tourenrad("Neckermann", "N200", 150);
		addArtikel(rad3);

		rad3 = new Tourenrad("Neckermann", "N200", 150);
		addArtikel(rad3);
	}

	public static void main(String[] argv) {
		launch(argv);
	}
}